OpenTTD Source: LanguagePackGlyphSearcher Class Reference

OpenTTD Source 1.11.0-RC1

Private Member Functions | Private Attributes
LanguagePackGlyphSearcher Class Reference

Helper for searching through the language pack. More...

Inheritance diagram for LanguagePackGlyphSearcher:

## Private Member Functions
void | Reset () override
| Reset the search, i.e. More...
FontSize | DefaultSize () override
| Get the default (font) size of the string. More...
const char * | NextString () override
| Get the next string to search through. More...
bool | Monospace () override
| Whether to search for a monospace font or not. More...
void | SetFontNames (FreeTypeSettings *settings, const char *font_name, const void *os_data) override
| Set the right font names. More...

## Private Attributes
uint | i
| Iterator for the primary language tables.
uint | j
| Iterator for the secondary language tables.

## Additional Inherited Members
Public Member Functions inherited from MissingGlyphSearcher
virtual | ~MissingGlyphSearcher ()
| Make sure everything gets destructed right.
bool | FindMissingGlyphs ()
| Check whether there are glyphs missing in the current language. More...

## Detailed Description

Helper for searching through the language pack.

Definition at line 2023 of file strings.cpp.

## Member Function Documentation

## ◆ DefaultSize()

FontSize LanguagePackGlyphSearcher::DefaultSize | ( |  | ) |
| inlineoverrideprivatevirtual

Get the default (font) size of the string.

Returns
  The font size.

Implements MissingGlyphSearcher.

Definition at line 2033 of file strings.cpp.

References FS_NORMAL.

## ◆ Monospace()

bool LanguagePackGlyphSearcher::Monospace | ( |  | ) |
| inlineoverrideprivatevirtual

Whether to search for a monospace font or not.

Returns
  True if searching for monospace.

Implements MissingGlyphSearcher.

Definition at line 2053 of file strings.cpp.

## ◆ NextString()

const char* LanguagePackGlyphSearcher::NextString | ( |  | ) |
| inlineoverrideprivatevirtual

Get the next string to search through.

Returns
  The next string or nullptr if there is none.

Implements MissingGlyphSearcher.

Definition at line 2038 of file strings.cpp.

References TEXT_TAB_END.

## ◆ Reset()

void LanguagePackGlyphSearcher::Reset | ( |  | ) |
| inlineoverrideprivatevirtual

Reset the search, i.e.

begin from the beginning again.

Implements MissingGlyphSearcher.

Definition at line 2027 of file strings.cpp.

## ◆ SetFontNames()

void LanguagePackGlyphSearcher::SetFontNames | ( | FreeTypeSettings * | settings,
|  | const char * | font_name,
|  | const void * | os_data
| ) |  |
| inlineoverrideprivatevirtual

Set the right font names.

Parameters

  settings | The settings to modify.
  font_name | The new font name.
  os_data | Opaque pointer to OS-specific data.

Implements MissingGlyphSearcher.

Definition at line 2058 of file strings.cpp.

References lastof, settings, and strecpy().

The documentation for this class was generated from the following file:

- src/strings.cpp